ros-rolling-rmw-cyclonedds-cpp (1.1.2-1focal) focal; urgency=high

  * Fix cpplint errors (#363 <https://github.com/ros2/rmw_cyclonedds/issues/363>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.1.1-1focal) focal; urgency=high

  * Updates for uncrustify 0.72 (#358 <https://github.com/ros2/rmw_cyclonedds/issues/358>)
  * Export only rmw::rmw to downstream targets (#360 <https://github.com/ros2/rmw_cyclonedds/issues/360>)
  * Export modern CMake targets (#357 <https://github.com/ros2/rmw_cyclonedds/issues/357>)
  * Free with the same allocator in rmw_destroy_node (#355 <https://github.com/ros2/rmw_cyclonedds/issues/355>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.1.0-1focal) focal; urgency=high

  * Add client/service QoS getters. (#343 <https://github.com/ros2/rmw_cyclonedds/issues/343>)
  * Updated version number and quality level. (#349 <https://github.com/ros2/rmw_cyclonedds/issues/349>)
  * Update package maintainers. (#351 <https://github.com/ros2/rmw_cyclonedds/issues/351>)
  * Contributors: Joe Speed, Michel Hidalgo, mauropasse

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.0.0-1focal) focal; urgency=high

  * Fix undesired memory initialization in zero-copy data path. (#348 <https://github.com/ros2/rmw_cyclonedds/issues/348>)
  * Fix QoS depth settings for clients/service being ignored. (#340 <https://github.com/ros2/rmw_cyclonedds/issues/340>)
  * Link to Cyclone DDS in Quality Declaration. (#342 <https://github.com/ros2/rmw_cyclonedds/issues/342>)
  * Contributors: Chen Lihui, Erik Boasson, Joe Speed, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 25 Oct 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.24.0-1focal) focal; urgency=high

  * Update rmw_context_impl_t definition (#337 <https://github.com/ros2/rmw_cyclonedds/issues/337>)
  * Add quality declaration for rmw_cyclonedds_cpp (#335 <https://github.com/ros2/rmw_cyclonedds/issues/335>)
  * Fix use of deprecated is_loan_available (#336 <https://github.com/ros2/rmw_cyclonedds/issues/336>)
  * Add -latomic for RISC-V (#332 <https://github.com/ros2/rmw_cyclonedds/issues/332>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#329 <https://github.com/ros2/rmw_cyclonedds/issues/329>)
  * Pass the CRL down to CycloneDDS if it exists (#325 <https://github.com/ros2/rmw_cyclonedds/issues/325>)
  * Use the new rmw_dds_common::get_security_files API (#323 <https://github.com/ros2/rmw_cyclonedds/issues/323>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michel Hidalgo, eboasson, guillaume-pais-siemens

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.23.1-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#294 <https://github.com/ros2/rmw_cyclonedds/issues/294>)
  * Contributors: Barry Xu

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 16 Jun 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.23.0-1focal) focal; urgency=high

  * Fix zero copy issues. (#309 <https://github.com/ros2/rmw_cyclonedds/issues/309>)
  * Handle allocation errors during message deserialization. (#313 <https://github.com/ros2/rmw_cyclonedds/issues/313>)
  * Update includes after rcutils/get_env.h deprecation. (#312 <https://github.com/ros2/rmw_cyclonedds/issues/312>)
  * Contributors: Christophe Bedard, Michel Hidalgo, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 07 Jun 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.2-1focal) focal; urgency=high

  * Fix the history depth for KEEP_ALL. (#305 <https://github.com/ros2/rmw_cyclonedds/issues/305>)
  * Contributors: Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.1-1focal) focal; urgency=high

  * Use the macros from Cyclone DDS to work with sample payload when using SHM (#300 <https://github.com/ros2/rmw_cyclonedds/issues/300>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.0-1focal) focal; urgency=high

  * Add loaned sample zero-copy API support (#297 <https://github.com/ros2/rmw_cyclonedds/issues/297>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 07 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.21.0-1focal) focal; urgency=high

  * Indicate missing support for unique network flows (#282 <https://github.com/ros2/rmw_cyclonedds/issues/282>)
  * Contributors: Ananya Muddukrishna

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.20.0-1focal) focal; urgency=high

  * Take and return new RMW_DURATION_INFINITE correctly (#288 <https://github.com/ros2/rmw_cyclonedds/issues/288>)
  * Contributors: Emerson Knapp

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.19.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#286 <https://github.com/ros2/rmw_cyclonedds/issues/286>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.18.4-1focal) focal; urgency=high

  * Fix use-after-free in error handling bug
  * Drop compatibility with ancient cyclone versions
  * Update to use Cyclone's renamed ddsi_sertype
  * Use init-on-first-use for global state (#275 <https://github.com/ros2/rmw_cyclonedds/issues/275>)
  * Make sure to reset the error when a typesupport can't be found.
  * Switch to using the generic functions for the typesupport handles.
  * Handle typesupport errors on fetch. (#271 <https://github.com/ros2/rmw_cyclonedds/issues/271>)
  * Handle potential divide by 0 (#267 <https://github.com/ros2/rmw_cyclonedds/issues/267>)
  * Fix incorrect log message(rmw_fastrtps_shared_cpp -> rmw_cylonedds_cpp) (#260 <https://github.com/ros2/rmw_cyclonedds/issues/260>)
  * Update maintainers (#254 <https://github.com/ros2/rmw_cyclonedds/issues/254>)
  * Change wrong use of %ld to print std::size_t to %zu
  * Contributors: Chris Lalancette, Erik Boasson, Ivan Santiago Paunovic, Michel Hidalgo, Stephen Brawner, Sven Brinkmann, eboasson, pluris

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.18.3-1focal) focal; urgency=high

  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#250 <https://github.com/ros2/rmw_cyclonedds/issues/250>)
  * Update service/client request/response API error returns (#249 <https://github.com/ros2/rmw_cyclonedds/issues/249>)
  * Contributors: Alejandro Hernández Cordero, Jose Tomas Lorente

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 29 Sep 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.18.2-1focal) focal; urgency=high

  * Updated publisher/subscription allocation and wait set API return codes (#246 <https://github.com/ros2/rmw_cyclonedds/issues/246>)
  * Contributors: Alejandro Hernández Cordero

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 25 Sep 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.18.1-1focal) focal; urgency=high

  * Fix array get_function semantics (#248 <https://github.com/ros2/rmw_cyclonedds/issues/248>)
  * Update service/client construction/destruction API return codes. (#247 <https://github.com/ros2/rmw_cyclonedds/issues/247>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 24 Sep 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.18.0-1focal) focal; urgency=high

  * Update gid API return codes. (#244 <https://github.com/ros2/rmw_cyclonedds/issues/244>)
  * Update graph API return codes. (#243 <https://github.com/ros2/rmw_cyclonedds/issues/243>)
  * Check for message_info on take where appropriate. (#245 <https://github.com/ros2/rmw_cyclonedds/issues/245>)
    Fix for regression introduced in #241 <https://github.com/ros2/rmw_cyclonedds/issues/241>.
  * Contributors: Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 23 Sep 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.17.0-1focal) focal; urgency=high

  * Updated error returns on rmw_take_serialized() and rmw_take_with_message_info() (#242 <https://github.com/ros2/rmw_cyclonedds/issues/242>)
  * Updated error returns on rmw_take() (#241 <https://github.com/ros2/rmw_cyclonedds/issues/241>)
  * Add quality declaration for Cyclone DDS (#218 <https://github.com/ros2/rmw_cyclonedds/issues/218>)
  * Contributors: Erik Boasson, Joe Speed, Jose Tomas Lorente, Scott K Logan

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.16.0-1focal) focal; urgency=high

  * Fix that not to delete some objects after destroying functions (#236 <https://github.com/ros2/rmw_cyclonedds/issues/236>)
  * Update rmw_publish_serialized_message() error returns (#240 <https://github.com/ros2/rmw_cyclonedds/issues/240>)
  * Update rmw_publish() error returns (#239 <https://github.com/ros2/rmw_cyclonedds/issues/239>)
  * Remove public declarations (#230 <https://github.com/ros2/rmw_cyclonedds/issues/230>)
  * Use quotes for non-system includes (#231 <https://github.com/ros2/rmw_cyclonedds/issues/231>)
  * Use correct functions to resize and get an item, avoiding memory leaks in typesupport code (#228 <https://github.com/ros2/rmw_cyclonedds/issues/228>)
  * Contributors: Chen Lihui, Dan Rose, Lobotuerk

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 14 Sep 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.15.0-1focal) focal; urgency=high

  * Fix context cleanup. (#227 <https://github.com/ros2/rmw_cyclonedds/issues/227>)
  * Fix memory leak that type support not deleted. (#225 <https://github.com/ros2/rmw_cyclonedds/issues/225>)
  * Ensure compliant matched pub/sub count API. (#223 <https://github.com/ros2/rmw_cyclonedds/issues/223>)
  * Fix memory leak that string not deleted. (#224 <https://github.com/ros2/rmw_cyclonedds/issues/224>)
  * Change RET_WRONG_IMPLID() to return RMW_RET_INCORRECT_IMPLEMENTATION (#226 <https://github.com/ros2/rmw_cyclonedds/issues/226>)
  * Fix bad conditional in rmw_serialize(). (#217 <https://github.com/ros2/rmw_cyclonedds/issues/217>)
  * Contributors: Chen Lihui, Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 28 Aug 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.14.0-1focal) focal; urgency=high

  * Ensure compliant subscription API. (#214 <https://github.com/ros2/rmw_cyclonedds/issues/214>)
  * Contributors: Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 06 Aug 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.13.0-1focal) focal; urgency=high

  * Ensure compliant publisher API (#210 <https://github.com/ros2/rmw_cyclonedds/issues/210>)
  * rmw_destroy_node must remove node from graph cache (#213 <https://github.com/ros2/rmw_cyclonedds/issues/213>)
  * Add space between 'ROS' and '2' (#195 <https://github.com/ros2/rmw_cyclonedds/issues/195>)
  * Contributors: Christophe Bedard, Erik Boasson, Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 30 Jul 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.12.0-1focal) focal; urgency=high

  * Set context actual domain id (#208 <https://github.com/ros2/rmw_cyclonedds/issues/208>)
  * Contributors: Ivan Santiago Paunovic

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 22 Jul 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.11.0-1focal) focal; urgency=high

  * Ensure compliant node construction/destruction API (#206 <https://github.com/ros2/rmw_cyclonedds/issues/206>)
  * Contributors: Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 20 Jul 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.10.0-1focal) focal; urgency=high

  * Remove domain_id and localhost_only from node API (#205 <https://github.com/ros2/rmw_cyclonedds/issues/205>)
  * Amend rmw_init() implementation: require enclave. (#204 <https://github.com/ros2/rmw_cyclonedds/issues/204>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 08 Jul 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.9.0-1focal) focal; urgency=high

  * Ensure compliant init/shutdown API implementations. (#202 <https://github.com/ros2/rmw_cyclonedds/issues/202>)
  * Ensure compliant init options API implementations. (#200 <https://github.com/ros2/rmw_cyclonedds/issues/200>)
  * Finalize context iff shutdown. (#196 <https://github.com/ros2/rmw_cyclonedds/issues/196>)
  * Contributors: Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 29 Jun 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.8.1-1focal) focal; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID. (#194 <https://github.com/ros2/rmw_cyclonedds/issues/194>)
  * Contributors: Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 22 Jun 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.8.0-1focal) focal; urgency=high

  * Add support to message lost event (#192 <https://github.com/ros2/rmw_cyclonedds/issues/192>)
  * Mitigate lost service responses discovery issue (#187 <https://github.com/ros2/rmw_cyclonedds/issues/187>)
  * Contributors: Ivan Santiago Paunovic, eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 18 Jun 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.7.1-1focal) focal; urgency=high

  * Restore dashing/eloquent behaviour of "service_is_available" (#190 <https://github.com/ros2/rmw_cyclonedds/issues/190>)
  * Contributors: Erik Boasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.7.0-1focal) focal; urgency=high

  * Remove API related to manual by node liveliness. (#178 <https://github.com/ros2/rmw_cyclonedds/issues/178>)
  * Contributors: Ivan Santiago Paunovic

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.6.0-1focal) focal; urgency=high

  * Fix how topic name should be when not using ros topic name conventions (#177 <https://github.com/ros2/rmw_cyclonedds/issues/177>)
  * Initialize participant on first use and destroy participant after last node is destroyed (#176 <https://github.com/ros2/rmw_cyclonedds/issues/176>)
  * Fix error message (#175 <https://github.com/ros2/rmw_cyclonedds/issues/175>)
    Only generate "Recompile with '-DENABLESECURITY=ON' error when
    ROS_SECURITY_STRATEGY="Enforce"
  * Cast size_t to uint32_t explicitly (#171 <https://github.com/ros2/rmw_cyclonedds/issues/171>)
  * Rename rosidl_message_bounds_t (#166 <https://github.com/ros2/rmw_cyclonedds/issues/166>)
  * Add support for taking a sequence of messages (#148 <https://github.com/ros2/rmw_cyclonedds/issues/148>)
  * Implement with_info version of take (#161 <https://github.com/ros2/rmw_cyclonedds/issues/161>)
  * Fill in message_info timestamps (#163 <https://github.com/ros2/rmw_cyclonedds/issues/163>)
  * Fix build warnings (#162 <https://github.com/ros2/rmw_cyclonedds/issues/162>)
  * Switch to one participant per context model (#145 <https://github.com/ros2/rmw_cyclonedds/issues/145>)
  * Fix serialization on non-32-bit, big-endian systems (#159 <https://github.com/ros2/rmw_cyclonedds/issues/159>)
  * Correct fallthrough macro (#154 <https://github.com/ros2/rmw_cyclonedds/issues/154>)
  * Register RMW output filters.
  * Implement safer align_ function (#141 <https://github.com/ros2/rmw_cyclonedds/issues/141>)
  * Make case fallthrough explicit (#153 <https://github.com/ros2/rmw_cyclonedds/issues/153>)
  * Implement rmw_set_log_severity (#149 <https://github.com/ros2/rmw_cyclonedds/issues/149>)
  * security-context -> enclave (#146 <https://github.com/ros2/rmw_cyclonedds/issues/146>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#150 <https://github.com/ros2/rmw_cyclonedds/issues/150>)
  * Added rosidl_runtime c and cpp dependencies (#138 <https://github.com/ros2/rmw_cyclonedds/issues/138>)
  * Remove cyclonedds_cmake_module (#139 <https://github.com/ros2/rmw_cyclonedds/issues/139>)
  * Enable use of DDS security (#123 <https://github.com/ros2/rmw_cyclonedds/issues/123>)
  * Clean up package xml dependencies (#132 <https://github.com/ros2/rmw_cyclonedds/issues/132>)
  * API changes to sync with one Participant per Context change in rmw_fastrtps (#106 <https://github.com/ros2/rmw_cyclonedds/issues/106>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#125 <https://github.com/ros2/rmw_cyclonedds/issues/125>)
  * Uncrustify (#124 <https://github.com/ros2/rmw_cyclonedds/issues/124>)
  * Prevent undefined behavior when serializing empty vector (#122 <https://github.com/ros2/rmw_cyclonedds/issues/122>)
  * Add rmw_*_event_init() functions (#115 <https://github.com/ros2/rmw_cyclonedds/issues/115>)
  * Contributors: Alejandro Hernández Cordero, Dan Rose, Dirk Thomas, Erik Boasson, Ingo Lütkebohle, Ivan Santiago Paunovic, Karsten Knese, Miaofei Mei, Michael Carroll, Michel Hidalgo, Mikael Arguedas, Sid Faber, dodsonmg

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 04 May 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.5.1-1focal) focal; urgency=high

  * Use a list instead of a set for node names list
  * Update for changes on Cyclone DDS security branch
  * Fix leak in client/service topic error handling
  * Fix sertopic referencing
  * Update usage of rmw_topic_endpoint_info_array (#101 <https://github.com/ros2/rmw_cyclonedds/issues/101>)
  * Correct std::hash return type sizes (#102 <https://github.com/ros2/rmw_cyclonedds/issues/102>)
  * Correct the coding style to pass CI test.
  * Update for cyclonedds changes needed for ros1 bridge
  * Fix MSBuild warnings C4146 and C4267
  * Add #if version >= 0.8.2 to fix ros2 dashing builds
  * Implementation for rmw_get_pub/sub_info_by_topic (#97 <https://github.com/ros2/rmw_cyclonedds/issues/97>)
  * Remove unused CMake extras (#84 <https://github.com/ros2/rmw_cyclonedds/issues/84>)
  * code style only: wrap after open parenthesis if not in one line (#95 <https://github.com/ros2/rmw_cyclonedds/issues/95>)
  * Support for deadline, lifespan and liveliness qos  (#88 <https://github.com/ros2/rmw_cyclonedds/issues/88>)
  * rmw_get_topic_endpoint_info doesn't exist on Dashing (#91 <https://github.com/ros2/rmw_cyclonedds/issues/91>)
  * dds_time_t instead of dds_duration_t for absolute time
  * Stubs for rmw_get_publishers_info_by_topic and rmw_get_subscriptions_info_by_topic (#81 <https://github.com/ros2/rmw_cyclonedds/issues/81>)
  * Cache serialization info when CDRWriter is constructed (#80 <https://github.com/ros2/rmw_cyclonedds/issues/80>)
  * Mark code that should be unreachable (#77 <https://github.com/ros2/rmw_cyclonedds/issues/77>)
  * Clean up topic namespace prefixes (#76 <https://github.com/ros2/rmw_cyclonedds/issues/76>)
  * Serialize into initialized memory, not vector (#75 <https://github.com/ros2/rmw_cyclonedds/issues/75>)
  * Rework serialization (#42 <https://github.com/ros2/rmw_cyclonedds/issues/42>)
  * Use rcutils_get_env() instead of getenv() (#71 <https://github.com/ros2/rmw_cyclonedds/issues/71>) (#72 <https://github.com/ros2/rmw_cyclonedds/issues/72>)
  * Contributors: Erik Boasson, Dan Rose, Ivan Santiago Paunovic, Dirk Thomas, Dennis Potman, Emerson Knapp, Michael Carroll

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 12 Mar 2020 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.4.4-1focal) focal; urgency=high

  * Minor CMakeLists cleanup
  * Contributors: Dan Rose

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.4.3-1focal) focal; urgency=high

  * Address "Precondition not met" on rmw_create_node (#65 <https://github.com/ros2/rmw_cyclonedds/issues/65>) (#66 <https://github.com/ros2/rmw_cyclonedds/issues/66>)
  * Fix dashing breakage (#64 <https://github.com/ros2/rmw_cyclonedds/issues/64>)
  * Support localhost-only communications (#60 <https://github.com/ros2/rmw_cyclonedds/issues/60>)
  * Contributors: Erik Boasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.4.2-1focal) focal; urgency=high

  * Suppress a syntax error identified by cppcheck 1.89 (#59 <https://github.com/ros2/rmw_cyclonedds/issues/59>)
    Signed-off-by: Scott K Logan <mailto:logans@cottsay.net>
  * Make RMW version acceptable to MSVC (#58 <https://github.com/ros2/rmw_cyclonedds/issues/58>)
    GCC and Clang support the ternary operator in macros, MSVC does not.
    Signed-off-by: Erik Boasson <mailto:eb@ilities.com>
  * skip compilation of rmw_cyclonedds when cyclone dds is not found (#56 <https://github.com/ros2/rmw_cyclonedds/issues/56>)
    * skip compilation of rmw_cyclonedds when cyclone dds is not found
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * proper case and company name
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * linters
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * change ADLINK to Eclipse
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * remove executive flags from source code files
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * Contributors: Karsten Knese, Scott K Logan, eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 01 Nov 2019 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.4.1-1focal) focal; urgency=high

  * rename return functions
  * Solve the lint issue.
  * Add already obsoleted loaned message interfaces
  * zero copy api for cyclonedds
  * Use right event info for RMW_EVENT_LIVELINESS_LOST
  * unbreak Dashing build after #50 <https://github.com/ros2/rmw_cyclonedds/issues/50>
  * Add compilation guards for RMW compatibility
  * update signature for added pub/sub options
  * Remove dead string serialization code (#41 <https://github.com/ros2/rmw_cyclonedds/issues/41>)
  * Use RMW_RET_NODE_NAME_NON_EXISTENT only if defined
  * Code improvements in ser/deser code wrt passing data size (#39 <https://github.com/ros2/rmw_cyclonedds/issues/39>)
  * Return NODE_NAME_NON_EXISTENT instead of ERROR.
  * Address uncrustify linter violation
  * Validation in deserializer (#36 <https://github.com/ros2/rmw_cyclonedds/issues/36>)
  * make cyclonedds vender package play nice with colcon (#34 <https://github.com/ros2/rmw_cyclonedds/issues/34>)
  * Address CMake and uncrustify linter violations
  * Fix "type punning" warning in printing floats (#33 <https://github.com/ros2/rmw_cyclonedds/issues/33>)
  * Use rosdep (#32 <https://github.com/ros2/rmw_cyclonedds/issues/32>)
  * Implemented byte-swapping in deserializer (#31 <https://github.com/ros2/rmw_cyclonedds/issues/31>)
  * Optional reporting of late messages
  * Multi-domain support
  * Add support for printing messages to DDSI trace
  * Contributors: Brian Marchi, Dan Rose, Erik Boasson, Karsten Knese, Scott K Logan, dennis-adlink, eboasson, evshary

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 24 Oct 2019 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.4.0-1focal) focal; urgency=high

  * Revert "Replace cyclonedds by CycloneDDS for colcon"
  * Replace cyclonedds by CycloneDDS for colcon
  * Use NO_KEY GUID variant if Cyclone DDS supports it
  * Implement no_demangle in various get_... functions
  * Set encoding to CDR rather than parameterised-CDR
  * Code formatting fix
  * Implement rmw_take_event
  * Use dummy guardcond to block on empty waitset
  * Handle RMW_QOS_POLICY_DEPTH_SYSTEM_DEFAULT
  * Add wstring support
  * Support creating a waitset without creating a node
  * Uncrustify and fix issues reported by cpplint
  * Fix retrieving client/server topic names
  * Return error when querying a non-existent node
  * Add get_client_names_and_types_by_node
  * Start request sequence numbers at 1
  * Create topics in the right node's participant
  * Update get_actual_qos based on test results
  * Return error for invalid name nodes
  * Fix serialization of bool sequence/array
  * Create one DDS publisher, subscriber per node
  * Share built-in readers across nodes
  * Don't retain all data in builtin-topics readers
  * Initialize common ddsi_sertopic with memset
  * Fix return of rmw_wait
  * Replace __attribute__((unused)) with static_cast<void>
  * Check for nullptr.
  * Add rmw_subscription_get_actual_qos implementation
  * Specialize deserializer for strings (#3 <https://github.com/ros2/rmw_cyclonedds/issues/3>)
  * Avoid triggering graph guard cond after destroying it (#3 <https://github.com/ros2/rmw_cyclonedds/issues/3>)
  * Make various introspection features work
  * add get service_names_and_types
  * add type names, some more introspection functions
  * update to match ROS2 Dashing interface
  * remove use of C99-style designated initializers
  * add rmw_get_topic_names_and_types (untested)
  * add server_is_available, count_matched functions
  * add write/take of serialized messages
  * update for fixes in Cyclone sertopic interface
  * fix string serialization, vector deserialization
  * remove compile error when gcc 7
  * update to allow talker/listener demos to run
  * update for Cyclone DDS changes and ROS2 changes
  * replace FastCDR and serialise straight into a serdata to avoid an extra copy
  * use dds conditions and waitsets
  * use waitsets, readconditions, guardconditions for waiting
  * fix extern "C" use upsetting gcc (and accepted by clang)
  * initial commit
  * Contributors: Erik Boasson, Hunter L. Allen, Juan Oxoby, Scott K Logan, YuSheng T

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 29 Aug 2019 07:00:00 -0000


